net.dontdrinkandroot.persistence.filter

## Interface Filter<T>

All Known Implementing Classes:
  AbstractFilter, NullFilter, NumericFilter

    public interface Filter<T>

### Method Summary

Methods
`javax.persistence.criteria.Predicate` `createPredicate(javax.persistence.criteria.CriteriaBuilder builder, javax.persistence.criteria.Path<? extends T> path)`
`String` `getName()`

### Method Detail

#### getName

    String getName()

#### createPredicate

    javax.persistence.criteria.Predicate createPredicate(javax.persistence.criteria.CriteriaBuilder builder,
                                                       javax.persistence.criteria.Path<? extends T> path)